#!/bin/bash
#
#    http://geant4.cern.ch/support/source/G4NDL.4.2.tar.gz and G4NDL4.2.TS.tar.gz (g4neutron)
#    http://geant4.cern.ch/support/source/G4EMLOW.6.32.tar.gz (g4emlow)
#    http://geant4.cern.ch/support/source/G4PhotonEvaporation.3.0.tar.gz (g4photon)
#    http://geant4.cern.ch/support/source/G4RadioactiveDecay.4.0.tar.gz (g4radiative)
#    http://geant4.cern.ch/support/source/G4NEUTRONXS.1.2.tar.gz (g4neutronxs)
#    http://geant4.cern.ch/support/source/G4PII.1.3.tar.gz (g4pii)
#    http://geant4.cern.ch/support/source/RealSurface.1.0.tar.gz (g4surface)
#    http://geant4.cern.ch/support/source/G4SAIDDATA.1.1.tar.gz (g4nucleonxs)
 
usage()
{
   echo "USAGE: `basename ${0}` <product_directory>"
}

product_dir=${1}

if [ -z ${product_dir} ]
then
   echo "ERROR: please specify the local product directory"
   usage
   exit 1
fi

# make sure we can use the setup alias
if [ -z ${UPS_DIR} ]
then
   echo "ERROR: please setup ups"
   exit 1
fi
source `${UPS_DIR}/bin/ups setup ${SETUP_UPS}`

setup upd

upd install g4emlow v6_32 -z ${product_dir}
upd install g4neutron v4_2 -z ${product_dir}
upd install g4neutronxs v1_2 -z ${product_dir}
upd install g4nucleonxs v1_1 -z ${product_dir}
upd install g4photon v3_0 -z ${product_dir}
upd install g4pii v1_3 -z ${product_dir}
upd install g4radiative v4_0 -z ${product_dir}
upd install g4surface v1_0 -z ${product_dir}

exit 0

